> For the complete documentation index, see [llms.txt](https://docs.usewinter.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.usewinter.com/marketplace-integrations/implementation-strategy/build-and-submit-a-transaction.md).

# Build and submit a transaction

This type of integration is where we call your API (e.g. \`marketplace.com/buildTx\`), we sign the transaction, and then we pass it to your API (e.g. \`marketplace.com/submitTx\`) and you submit it to your RPC!

These types of integrations are for **high volume** marketplaces where having consistency is important! With this type of integration, you can control the flow and show all pending transactions (e.g. only allow 1 buy order on each NFT to prevent gas wars)

🚧 Coming soon - a self serve dashboard for you to integrate on your own!

These are the chains we currently support for this type of integration:

* ETH
* MATIC
* SOL
* ADA
* XTZ
* AVAX
* BNB

At a high level, your API should take in a few things (passed in this format):

* `tokenId`
* `contractAddress`
* `quantity (optional)`

We then expect a complete **unsigned** transaction back, which we will then sign!

We then expect a second api to take in a **signed** transaction and return back:

* `isSubmitSuccessful`
* `txHash`

To get started, email us at `marketplaces@usewinter.com!`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.usewinter.com/marketplace-integrations/implementation-strategy/build-and-submit-a-transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
